---
title: "List campaigns"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/campaigns.list
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# List campaigns

All campaigns with status and counters.

All campaigns with status and counters.

## Overview

| Name | Value |
| --- | --- |
| Code | `campaigns.list` |
| Scope needed | `crm.read` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent`, `viewer` |
| In the app | Campaigns |

## Input fields

This operation takes no fields.

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/campaigns.list \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `items` | `null \| text \| number \| object \| any[] \| true/false` | Yes |

## Example answer

```json
{
  "data": {
    "items": "text"
  }
}
```

## Using it over MCP

Tool `campaigns_list` is listed on the profiles: Automation setup (`setup`), Reports (`reports`). On other profiles, find it with `tools_search` and run it with `tools_run`.
